/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

var alumnoSeleccionado = "";
function cargarPlanteles(alu) {
    alumnoSeleccionado = alu;
    $.ajax({
        // la URL para la petición
        url: '/ControlCeepam/web/app_dev.php/cargar-apt',
        // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {ideAlu: alu},
        // especifica si será una petición POST o GET
        type: 'POST',
        // el tipo de información que se espera de respuesta
        dataType: 'html',
        // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            document.getElementById("contenedor-general-titulacion").innerHTML = '<i class="fa fa-pulse fa-spinner" style="font-size: 2em;"></i><strong> VALIDANDO...</strong>';
            document.getElementById('btnGuardarAsignarPlantel').disabled = true;
        },
        success: function (respuesta) {
            //alert("Correcto");
            document.getElementById("contenedor-general-titulacion").innerHTML = respuesta;
            var ban1 = document.getElementById('banderaPagos').value;
            var ban2 = document.getElementById('banderaDocumentacion').value;
            var ban3 = document.getElementById('banderaFecha').value;
            if (ban1 == 0 & ban2 == 0 & ban3 == 0) {
                document.getElementById('btnGuardarAsignarPlantel').disabled = false;
            } else {
                document.getElementById('btnGuardarAsignarPlantel').disabled = true;
            }
        },
        // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            alert('Disculpe, existió un problema');
            document.getElementById("contenedor-general-titulacion").innerHTML = "";
        },
        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
        }
    });
} // cargarCarrerasTitulacion

function actualizarFecha() {
    var fecha = document.getElementById('fechaCertificado').value;
    if (fecha == "") {
        swal("", "DEBE INGRESAR LA FECHA, EN LA QUE SE EMITIÓ EL CERTIFICADO DE BACHILLERATO", "warning");
    } else {
        $.ajax({
// la URL para la petición
            url: '/ControlCeepam/web/app_dev.php/actualizarFecCer',
            // la información a enviar
            // (también es posible utilizar una cadena de datos)
            data: {ideAlu: alumnoSeleccionado, fecha: fecha},
            // especifica si será una petición POST o GET
            type: 'POST',
            // el tipo de información que se espera de respuesta
            dataType: 'html',
            // código a ejecutar si la petición es satisfactoria;
            // la respuesta es pasada como argumento a la función
            beforeSend: function () {
                document.getElementById("contenedor-general-titulacion").innerHTML = '<i class="fa fa-pulse fa-spinner" style="font-size: 2em;"></i><strong> cargando...</strong>';
                document.getElementById('btnGuardarAsignarPlantel').disabled = true;
            },
            success: function (respuesta) {
                //alert("Correcto");
                document.getElementById("contenedor-general-titulacion").innerHTML = respuesta;
                var ban1 = document.getElementById('banderaPagos').value;
                var ban2 = document.getElementById('banderaDocumentacion').value;
                var ban3 = document.getElementById('banderaFecha').value;
                if (ban1 == 0 & ban2 == 0 & ban3 == 0) {
                    document.getElementById('btnGuardarAsignarPlantel').disabled = false;
                } else {
                    document.getElementById('btnGuardarAsignarPlantel').disabled = true;
                }
            },
            // código a ejecutar si la petición falla;
            // son pasados como argumentos a la función
            // el objeto de la petición en crudo y código de estatus de la petición
            error: function (xhr, status) {
                alert('Disculpe, existió un problema');
                document.getElementById("contenedor-general-titulacion").innerHTML = "";
            },
            // código a ejecutar sin importar si la petición falló o no
            complete: function (xhr, status) {
                //alert('Petición realizada');
            }
        });
    }

} // actualizarFecha



function guardarPlantel() {
    var plantelN = $("#nomPlaNuevo").val();
    if (plantelN == "") {
        alert("DEBE ESCRIBIR EL NOMBRE DEL PLANTEL");
    } else {
        $.ajax({
// la URL para la petición
            url: '/ControlCeepam/web/app_dev.php/guardar-apt',
            // la información a enviar
            // (también es posible utilizar una cadena de datos)
            data: {plantelN: plantelN, ideAlu: alumnoSeleccionado},
            // especifica si será una petición POST o GET
            type: 'POST',
            // el tipo de información que se espera de respuesta
            dataType: 'html',
            // código a ejecutar si la petición es satisfactoria;
            // la respuesta es pasada como argumento a la función
            beforeSend: function () {
                document.getElementById("contenedorPlantelesTitulaciones").innerHTML = '<i class="fa fa-pulse fa-spinner" style="font-size: 2em;"></i><strong> cargando...</strong>';
            },
            success: function (respuesta) {
                //alert("Correcto");
                document.getElementById("contenedor-general-titulacion").innerHTML = respuesta;
                $("#nomPlaNuevo").val("");
            },
            // código a ejecutar si la petición falla;
            // son pasados como argumentos a la función
            // el objeto de la petición en crudo y código de estatus de la petición
            error: function (xhr, status) {
                alert('Disculpe, existió un problema');
                document.getElementById("contenedorPlantelesTitulaciones").innerHTML = "";
            },
            // código a ejecutar sin importar si la petición falló o no
            complete: function (xhr, status) {
                //alert('Petición realizada');
            }
        });
    }

}

$("#btnGuardarAsignarPlantel").click(function () {
    console.log("ALUMNO: " + alumnoSeleccionado);
    var cvePlaIng = document.getElementById('cvePlaEgr').value;
    if (cvePlaIng == "default") {
        alert('DEBE SELECCIONAR UN PLANTEL PARA INGRESAR EL TRÁMITE');
    } else {
        $.ajax({
// la URL para la petición
            url: '/ControlCeepam/web/app_dev.php/ingresar-tramite-titulacion',
            // la información a enviar
            // (también es posible utilizar una cadena de datos)
            data: {idePla: cvePlaIng, ideAlu: alumnoSeleccionado},
            // especifica si será una petición POST o GET
            type: 'POST',
            // el tipo de información que se espera de respuesta
            dataType: 'html',
            // código a ejecutar si la petición es satisfactoria;
            // la respuesta es pasada como argumento a la función
            beforeSend: function () {
                document.getElementById("contenedor-general-titulacion").innerHTML = '<i class="fa fa-pulse fa-spinner" style="font-size: 2em;"></i><strong> cargando...</strong>';
                document.getElementById('btnGuardarAsignarPlantel').disabled = true;
            },
            success: function (respuesta) {
                //alert("Correcto");
                document.getElementById("contenedor-general-titulacion").innerHTML = respuesta;
                document.getElementById('btnGuardarAsignarPlantel').disabled = true;
                document.getElementById("btnModCancelarAsignarPlantel").innerHTML = "CERRAR";
            },
            // código a ejecutar si la petición falla;
            // son pasados como argumentos a la función
            // el objeto de la petición en crudo y código de estatus de la petición
            error: function (xhr, status) {
                alert('Disculpe, existió un problema');
                document.getElementById("contenedor-general-titulacion").innerHTML = "";
            },
            // código a ejecutar sin importar si la petición falló o no
            complete: function (xhr, status) {
                //alert('Petición realizada');
            }
        });
    }
});
$("#btnModCancelarAsignarPlantel").click(function () {
    var texto = document.getElementById("btnModCancelarAsignarPlantel").innerHTML;
    if (texto == "CERRAR") {
        document.getElementById("contenedor-tabla-titulacion-directa").innerHTML = '<i class="fa fa-pulse fa-spinner" style="font-size: 2em;"></i><strong> ACTUALIZANDO DATOS...ESPERE !!!</strong>';
        location.reload();
    } else {
        console.log("NO DEBE HACER NADA");
    }
});

function cargarBaseT(x) {
    $.ajax({
        // la URL para la petición
        url: '/ControlCeepam/web/app_dev.php/exportar-TD',
        // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {opcion: x},
        // especifica si será una petición POST o GET
        type: 'POST',
        // el tipo de información que se espera de respuesta
        dataType: 'html',
        // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            document.getElementById("contenedor-excel").innerHTML = '<i class="fa fa-pulse fa-spinner" style="font-size: 2em;"></i><strong> VALIDANDO...</strong>';
        },
        success: function (respuesta) {
            //alert("Correcto");
            document.getElementById("contenedor-excel").innerHTML = respuesta;
        },
        // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            alert('Disculpe, existió un problema');
            document.getElementById("contenedor-excel").innerHTML = "";
        },
        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
        }
    });
} // cargarBaseT